/*!
 * @file single_player_world.h
 *  Holds and manages all single player game data
 */

#ifndef _SINGLE_PLAYER_WORLD_H
#define _SINGLE_PLAYER_WORLD_H

#include "game_world.h"

class WorldEntity;
class Camera;
class Player;
class GLMenuImageScreen;
class Terrain;
class TiXmlElement;

class Shell;
class OggPlayer;

//! The game world
/**
 *  this class initializes everything that should be displayed inside of the current level.
 *  it is the main driving factor during gameplay.
 */
class SinglePlayerWorld : public GameWorld
{

  public:
    SinglePlayerWorld (const TiXmlElement* root = NULL);
    virtual ~SinglePlayerWorld ();

    void loadParams(const TiXmlElement* root);

    ErrorMessage preLoad();
    ErrorMessage load ();
    ErrorMessage postLoad();

};

#endif /* _SINGLE_PLAYER_WORLD_H */
